com.massivecraft.factions.struct

## Enum Permission

- java.lang.Object
- - java.lang.Enum<Permission>
  - - com.massivecraft.factions.struct.Permission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Permission>

      public enum Permission
      extends java.lang.Enum<Permission>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `ADMIN_ANY`
    `AHOME`
    `ANNOUNCE`
    `AUTO_LEAVE_BYPASS`
    `AUTOCLAIM`
    `BAN`
    `BANNER`
    `BYPASS`
    `CHAT`
    `CHATSPY`
    `CHECKPOINT`
    `CHEST`
    `CLAIM`
    `CLAIM_LINE`
    `CLAIM_RADIUS`
    `CLAIMAT`
    `COLEADER`
    `COLEADER_ANY`
    `CONFIG`
    `COORD`
    `CREATE`
    `DEFAULTRANK`
    `DEINVITE`
    `DESCRIPTION`
    `DISBAND`
    `DISBAND_ANY`
    `FLY`
    `GETVAULT`
    `HELP`
    `HOME`
    `INSPECT`
    `INVITE`
    `JOIN`
    `JOIN_ANY`
    `JOIN_OTHERS`
    `KICK`
    `KICK_ANY`
    `KILLHOLOS`
    `LEAVE`
    `LIST`
    `LOCK`
    `MANAGE_SAFE_ZONE`
    `MANAGE_WAR_ZONE`
    `MAP`
    `MAPHEIGHT`
    `MOD`
    `MOD_ANY`
    `MODIFY_POWER`
    `MONEY_BALANCE`
    `MONEY_BALANCE_ANY`
    `MONEY_DEPOSIT`
    `MONEY_F2F`
    `MONEY_F2P`
    `MONEY_P2F`
    `MONEY_WITHDRAW`
    `MONEY_WITHDRAW_ANY`
    `MONITOR_LOGINS`
    `NO_BOOM`
    `OPEN`
    `OWNER`
    `OWNERLIST`
    `OWNERSHIP_BYPASS`
    `PERMISSIONS`
    `POWER`
    `POWER_ANY`
    `POWERBOOST`
    `PROMOTE`
    `RELATION`
    `RELOAD`
    `RULES`
    `SAVE`
    `SCOREBOARD`
    `SEECHUNK`
    `SET_PEACEFUL`
    `SET_PERMANENT`
    `SET_PERMANENTPOWER`
    `SETHOME`
    `SETHOME_ANY`
    `SETMAXVAULTS`
    `SETWARP`
    `SHOW`
    `SHOW_INVITES`
    `SHOWCLAIMS`
    `STATUS`
    `STEALTH`
    `STUCK`
    `TAG`
    `TITLE`
    `TITLE_COLOR`
    `TNT`
    `TNTFILL`
    `TOGGLE_ALLIANCE_CHAT`
    `TOP`
    `TPBANNER`
    `UNCLAIM`
    `UNCLAIM_ALL`
    `UPGRADES`
    `VAULT`
    `VERSION`
    `WARP`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `node`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `has(org.bukkit.command.CommandSender sender)`
    `boolean` | `has(org.bukkit.command.CommandSender sender, boolean informSenderIfNot)`
    `static Permission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MANAGE_SAFE_ZONE

          public static final Permission MANAGE_SAFE_ZONE

    - #### MANAGE_WAR_ZONE

          public static final Permission MANAGE_WAR_ZONE

    - #### OWNERSHIP_BYPASS

          public static final Permission OWNERSHIP_BYPASS

    - #### ADMIN

          public static final Permission ADMIN

    - #### ADMIN_ANY

          public static final Permission ADMIN_ANY

    - #### AHOME

          public static final Permission AHOME

    - #### ANNOUNCE

          public static final Permission ANNOUNCE

    - #### AUTOCLAIM

          public static final Permission AUTOCLAIM

    - #### AUTO_LEAVE_BYPASS

          public static final Permission AUTO_LEAVE_BYPASS

    - #### BAN

          public static final Permission BAN

    - #### BYPASS

          public static final Permission BYPASS

    - #### CHAT

          public static final Permission CHAT

    - #### CHATSPY

          public static final Permission CHATSPY

    - #### CLAIM

          public static final Permission CLAIM

    - #### CLAIMAT

          public static final Permission CLAIMAT

    - #### CLAIM_LINE

          public static final Permission CLAIM_LINE

    - #### CLAIM_RADIUS

          public static final Permission CLAIM_RADIUS

    - #### CONFIG

          public static final Permission CONFIG

    - #### CREATE

          public static final Permission CREATE

    - #### DEFAULTRANK

          public static final Permission DEFAULTRANK

    - #### DEINVITE

          public static final Permission DEINVITE

    - #### DESCRIPTION

          public static final Permission DESCRIPTION

    - #### DISBAND

          public static final Permission DISBAND

    - #### DISBAND_ANY

          public static final Permission DISBAND_ANY

    - #### FLY

          public static final Permission FLY

    - #### HELP

          public static final Permission HELP

    - #### HOME

          public static final Permission HOME

    - #### INVITE

          public static final Permission INVITE

    - #### JOIN

          public static final Permission JOIN

    - #### JOIN_ANY

          public static final Permission JOIN_ANY

    - #### JOIN_OTHERS

          public static final Permission JOIN_OTHERS

    - #### KICK

          public static final Permission KICK

    - #### KICK_ANY

          public static final Permission KICK_ANY

    - #### LEAVE

          public static final Permission LEAVE

    - #### LIST

          public static final Permission LIST

    - #### LOCK

          public static final Permission LOCK

    - #### MAP

          public static final Permission MAP

    - #### MAPHEIGHT

          public static final Permission MAPHEIGHT

    - #### MOD

          public static final Permission MOD

    - #### COLEADER

          public static final Permission COLEADER

    - #### MOD_ANY

          public static final Permission MOD_ANY

    - #### COLEADER_ANY

          public static final Permission COLEADER_ANY

    - #### MODIFY_POWER

          public static final Permission MODIFY_POWER

    - #### MONEY_BALANCE

          public static final Permission MONEY_BALANCE

    - #### MONEY_BALANCE_ANY

          public static final Permission MONEY_BALANCE_ANY

    - #### MONEY_DEPOSIT

          public static final Permission MONEY_DEPOSIT

    - #### MONEY_WITHDRAW

          public static final Permission MONEY_WITHDRAW

    - #### MONEY_WITHDRAW_ANY

          public static final Permission MONEY_WITHDRAW_ANY

    - #### MONEY_F2F

          public static final Permission MONEY_F2F

    - #### MONEY_F2P

          public static final Permission MONEY_F2P

    - #### MONEY_P2F

          public static final Permission MONEY_P2F

    - #### MONITOR_LOGINS

          public static final Permission MONITOR_LOGINS

    - #### NO_BOOM

          public static final Permission NO_BOOM

    - #### OPEN

          public static final Permission OPEN

    - #### OWNER

          public static final Permission OWNER

    - #### OWNERLIST

          public static final Permission OWNERLIST

    - #### SET_PEACEFUL

          public static final Permission SET_PEACEFUL

    - #### SET_PERMANENT

          public static final Permission SET_PERMANENT

    - #### SET_PERMANENTPOWER

          public static final Permission SET_PERMANENTPOWER

    - #### SHOW_INVITES

          public static final Permission SHOW_INVITES

    - #### PERMISSIONS

          public static final Permission PERMISSIONS

    - #### POWERBOOST

          public static final Permission POWERBOOST

    - #### POWER

          public static final Permission POWER

    - #### POWER_ANY

          public static final Permission POWER_ANY

    - #### PROMOTE

          public static final Permission PROMOTE

    - #### RELATION

          public static final Permission RELATION

    - #### RELOAD

          public static final Permission RELOAD

    - #### SAVE

          public static final Permission SAVE

    - #### SETHOME

          public static final Permission SETHOME

    - #### SETHOME_ANY

          public static final Permission SETHOME_ANY

    - #### SHOW

          public static final Permission SHOW

    - #### STATUS

          public static final Permission STATUS

    - #### STEALTH

          public static final Permission STEALTH

    - #### STUCK

          public static final Permission STUCK

    - #### TAG

          public static final Permission TAG

    - #### TNT

          public static final Permission TNT

    - #### TITLE

          public static final Permission TITLE

    - #### TITLE_COLOR

          public static final Permission TITLE_COLOR

    - #### TOGGLE_ALLIANCE_CHAT

          public static final Permission TOGGLE_ALLIANCE_CHAT

    - #### UNCLAIM

          public static final Permission UNCLAIM

    - #### UNCLAIM_ALL

          public static final Permission UNCLAIM_ALL

    - #### VERSION

          public static final Permission VERSION

    - #### SCOREBOARD

          public static final Permission SCOREBOARD

    - #### SEECHUNK

          public static final Permission SEECHUNK

    - #### SETWARP

          public static final Permission SETWARP

    - #### TOP

          public static final Permission TOP

    - #### VAULT

          public static final Permission VAULT

    - #### GETVAULT

          public static final Permission GETVAULT

    - #### SETMAXVAULTS

          public static final Permission SETMAXVAULTS

    - #### RULES

          public static final Permission RULES

    - #### CHECKPOINT

          public static final Permission CHECKPOINT

    - #### UPGRADES

          public static final Permission UPGRADES

    - #### BANNER

          public static final Permission BANNER

    - #### TPBANNER

          public static final Permission TPBANNER

    - #### KILLHOLOS

          public static final Permission KILLHOLOS

    - #### INSPECT

          public static final Permission INSPECT

    - #### TNTFILL

          public static final Permission TNTFILL

    - #### COORD

          public static final Permission COORD

    - #### SHOWCLAIMS

          public static final Permission SHOWCLAIMS

    - #### WARP

          public static final Permission WARP

    - #### CHEST

          public static final Permission CHEST

  - ### Field Detail

    - #### node

          public final java.lang.String node

  - ### Method Detail

    - #### values

          public static Permission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Permission c : Permission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Permission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### has

          public boolean has(org.bukkit.command.CommandSender sender,
                             boolean informSenderIfNot)

    - #### has

          public boolean has(org.bukkit.command.CommandSender sender)